Just got an O3DS on 8.1 - A few questions please

Discussion in '3DS - Flashcards & Custom Firmwares' started by peteruk, Nov 24, 2015.

  1. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Hey all

    I already have a N3DS fully setup with everything possibly needed on 9.0/9.5 menuhax etc......

    I have here a brand new Original 3DS which is on FW 8.1.0-19E and has the browser which is Version 1.7567

    This is a new area for me, not having had an O3DS before nor having this FW version

    I do not have GW or CN

    What i need to achieve is to get this console onto FW 9.2

    -------------

    This is where i am upto so far, (backed up system nand using gateway launcher), created emunand and setup rxtools

    I notice in rxTools i have 4 black squares, so not sure about them

    What i want to do next is upgrade my sysnand from this 8.1.0-19E to 9.2 (i have the files)

    Problem is, i need an installer to install sysupdater, but the guides i have read here all say i need to unlink my NAND's - but if i do this i wont be able to update the sysnand will i ?

    I am struggling at the moment and cannot think clearly

    I think if i can get this 8.1.0-19E to 9.2 sysnand i will be a lot happier

    Then i want to downgrade my MSET to have the profile load rxTools (i have a compatible DS cart)

    Any help please guys ? my head is fried ? (everything on my N3DS seemed so simple)
     


  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,092
    5,166
    Mar 17, 2010
    Norway
    Alola
    That black square issue with rxTools seems to be a relatively common bug however for me it went away after I updated emuNAND.

    When you boot rxTools in Pasta Mode (very important as it will brick if you try to update sysNAND without being in Pasta Mode) it will boot sysNAND so unlinked NANDs or not doesn't matter when updating, it only matters when you use menuhax as it could prevent emuNAND from booting.

    Don't bother with mset downgrade, use menuhax instead once updated to 9.2, you can autoboot CFW rather than having to go into the DS profile settings each time. This guide has a section on menuhax (sometimes called themehax), check it out: https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/
     
    peteruk likes this.
  3. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    thanks as always @The Real Jdbye

    that is the guide i am following

    EDIT: I was just having big time brain freezing

    I have made good strides now, got FBI installed in H&S updated emuNAND first to 9.2 as a test and then sysNAND using pasta mode and 100% success so far

    So next step is to unlink the nands, setup webhax and themehax
     
    Last edited by peteruk, Nov 24, 2015
  4. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    STUCK now lol

    So have emu and sys both on 9.2, injected H&S with FBI, got cia and devmenu installed

    Struggling to downgrade MSET now, rxTools > ADVANCED > CHOOSE MSET:

    Have tried the 4.x and the 6.x but get the same error...

    Completed!
    Region: Europe
    Wrong downgrade pack !
    A continue

    I don't get the "Wrong downgrade pack !" bit :(

    Another strange thing, i seem to have exactly the same browser version as i did before i updated to 9.2, Browser Version 1.7567

    WebnuHax will not load either

    Help!
     
    Last edited by peteruk, Nov 24, 2015
  5. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Don't you want to use themehax? Why bother with mset downgrading?
    And browserhax (sliderhax) has a verry shitty boot rate on O3DS, so if you don't manage to make it work just use a cubic ninja cia in pasta mode. (you will need to inject fbi onto your sysnand first)
     
    peteruk likes this.
  6. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Hi buddy, i hear you, i am looking for ease of use for my relative here

    I was thinking, turn the machine on and use DS Profile he can't really get easier ??

    I dont understand why the browser didnt update to the one i have on my N3DS when i upgraded this O3DS to 9.2 :(

    Themehax would also be great, suppose only way i can get to that is like u say CN in pasta mode and HBL from there - very long winded tho ?
     
  7. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Where did you get your msetdg.bin? The ones from that iso site should work fine.
    Another option is to inject FBI on your sysnand, use it to install an updated version of FBI (or devmenu_2x) then manually install the 6.X mset cia. (destination nand)
    And for the browser, it didn't change from 7.1.0-16 to 9.5.0-23.
     
    peteruk likes this.
  8. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Hi @VerseHell, was just replying when you replied lol

    I got the MSET working now, so have a relatively simple way for him to access rxTools, i intend to unlink the nands as soon as i finish the HBL stuff

    What i don't understand is that the browser on this O3DS 9.2 fw is not the same as the one on my 9.0 N3DS and as a result when i try to run webhax it just hangs :(

    The browser version on my N3DS is 1.0.9934
    The browser version on this O3DS is 1.7567

    Is it possible for me to get the same browser as my N3DS ?? Perhaps Webhax will work then ??

    — Posts automatically merged - Please don't double post! —

    Also just to add, on my N3DS i have the option to turn off the "auto brightness" but it doesn't seem to be in the options on this O3ds is that right ?
     
  9. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    The O3DS and N3DS browser are not the same, you can't install the n3ds one on a O3DS and vice versa. So either try again and again until it works or use a CN cia.
    And the O3DS doesn't have auto brightness.
     
    peteruk likes this.
  10. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Thanks buddy, they probably seem like lame questions, but i appreciate your calm and helpful answers, thank you :)


    P.S. Do you think it will be ok to unlink these 2 nands on the O3DS ??

    (will MSET be lost or have to be re applied ?)
     
    Last edited by peteruk, Nov 24, 2015
  11. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Yes, you will keep your downgraded mset, but you will have to reinstall the mset rop.
     
    peteruk likes this.
  12. Quantumcat

    Quantumcat Dead and alive

    Member
    11,039
    5,917
    Nov 23, 2014
    Australia
    Canberra, Australia
    Why do you want to update to 9.2 if you won't be using autoboot? You could just get the MSET exploit on and leave it at that?
     
    peteruk likes this.
  13. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Hi Quantumcat

    I do want to install autoboot, but was really taking one step at a time, i tend to forget so much information that i have already learned

    As it stands, i have the unit upgraded to 9.2, MSET installed as an easy entry point in sysNAND

    Once i have unlinked the NAND's (probably tomorrow now as getting late) i will try and get themehax installed for autobooting

    So far i am still having problems using WebHax, just cant get it to load anything once the browse opens
     
    Quantumcat likes this.
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,092
    5,166
    Mar 17, 2010
    Norway
    Alola
    It CAN get easier. That's what themehax is - full coldboot CFW without any user interaction.

    You don't need CN to install themehax, you can just launch HBL through browserhax and run the themehax (actually menuhax) installer from there (this only needs to be done once), though CN will work too. It's actually easier to install it than to downgrade mset.
     
    Last edited by The Real Jdbye, Nov 25, 2015
    peteruk and Quantumcat like this.
  15. Ronhero

    Ronhero Too Weird to Live, Too Rare to Die

    Member
    3,002
    1,054
    Jun 28, 2014
    United States
    Arizona Bay
    Did you figure it out yet? I'm not reading that novel you sent me hahaha. Glad to see you made progress
     
    peteruk likes this.
  16. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Morning guys, still very early here and not done anything since last night

    Status is... both nand's still linked at the moment, MSET working great

    Having problems launching HBL through webhax last night, will try again in a couple of hours and report back

    Thanks for the encouragment :)
     
  17. Ronhero

    Ronhero Too Weird to Live, Too Rare to Die

    Member
    3,002
    1,054
    Jun 28, 2014
    United States
    Arizona Bay
    What's your current firmware?
     
    peteruk likes this.
  18. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    Morning Ronhero

    I am now on 9.2 sysNAND, just got sliderhax working fine so have HBL

    Going to unlink the NAND's now and then full steam ahead i think :D

    1 question i don't know the answer to because i have only ever had a N3DS and been restricted to 9.5 emu, is it all good to update rxTools emuNAND to very latest on this O3DS ? for eshop etc...
     
  19. peteruk
    OP

    peteruk GBAtemp Maniac

    Member
    1,430
    683
    Jun 26, 2015
    EmuNAND update seems to have worked
     
    Last edited by peteruk, Nov 25, 2015
  20. Ronhero

    Ronhero Too Weird to Live, Too Rare to Die

    Member
    3,002
    1,054
    Jun 28, 2014
    United States
    Arizona Bay
    Yeah o3ds can be updated and use eshop without issue
     
    peteruk likes this.